/*------------------------------------------------------------------------------
* Alpha Shooter
* A 3D OpenGL First-Person Shooter game
* Copyright (C) 2005, 2006, 2007 Nicola Cocchiaro <ncocchiaro@users.sf.net>
* Alpha Shooter can be found at http://www.sf.net/projects/alphashooter.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 or, (at your option) any later
* version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*-------------------------------------------------------------------------------
*/


// display.h
// display callback functions header file

#ifndef ALPSHOOT_DISPLAY_H
#define ALPSHOOT_DISPLAY_H

#ifdef ALPSHOOT_WIN32
#include <windows.h>
#endif

#ifndef ALPSHOOT_MACOSX
#include <GL/glut.h>
#else
#include <glut.h>
#endif

#include "defs.h"
#include "fps.h"
#include "dlists.h"
#include "glm.h"
#include "camera.h"
#include "texture.h"
#include "controls.h"
#include "world.h"
#include "particles.h"

void draw_target();
void vanish(object_t* op);
void explode(object_t* op);
void fill_object_list();
// display functions
void display();
void draw_text2d(GLint x, GLint y, char *string, GLfloat r, GLfloat g, GLfloat b, GLfloat a);
void enter_ortho_mode();
void exit_ortho_mode();

extern object_t *left_shot;
extern object_t *right_shot;
extern object_t *target;
extern GLMmodel *rocket;
extern explosion_t *exp_list;
extern trail_t *trail_list;

#endif
